Package net.sourceforge.jiu.color.io

# Class PaletteSerialization

java.lang.Object
net.sourceforge.jiu.color.io.PaletteSerialization

All Implemented Interfaces:
  `RGBIndex`

public class PaletteSerialization extends Object implements RGBIndex
This class loads and saves palettes. Loading is done using the `ImageLoader` class - an image is loaded which is supposed to have no more than 256 pixels, the palette entries. When saving, the `PNMCodec` is used to store palettes as .ppm files.

Since:
  0.5.0
Author:
  Marco Schmidt

## Field Summary

### Fields inherited from interface net.sourceforge.jiu.data.RGBIndex

`INDEX_BLUE, INDEX_GREEN, INDEX_RED`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`PaletteSerialization()`

## Method Summary

Modifier and Type
Method
Description
`static Palette`
`convertImageToPalette(RGB24Image image)`
Create a palette from the pixels of the argument image.
`static RGB24Image`
`convertPaletteToImage(Palette palette)`
Creates an RGB24Image from the palette entries, each entry becomes a pixel in an image of width 1 and height palette.getNumEntries().
`static Palette`
`load(File paletteFile)`
Loads a palette from the argument file.
`static void`
`save(Palette palette, File paletteFile)`
Saves the palette to the given file as a PPM image file.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PaletteSerialization

private PaletteSerialization()

## Method Details

### convertImageToPalette

public static Palette convertImageToPalette(RGB24Image image)
Create a palette from the pixels of the argument image.

### convertPaletteToImage

public static RGB24Image convertPaletteToImage(Palette palette)
Creates an RGB24Image from the palette entries, each entry becomes a pixel in an image of width 1 and height palette.getNumEntries().

### load

public static Palette load(File paletteFile)
Loads a palette from the argument file. Uses `ImageLoader` to load an image from the argument file, then calls `convertImageToPalette(net.sourceforge.jiu.data.RGB24Image)` and returns the palette created that way.

### save

public static void save(Palette palette, File paletteFile) throws IOException
Saves the palette to the given file as a PPM image file. Uses `PNMCodec`.

Throws:
  `IOException`